PHP Manual
Prev |  | Next

# XMLWriter::setIndent

(no version information, might be only in CVS)

XMLWriter::setIndent -- Toggle indentation on/off

## Description

Object oriented style:

class XMLWriter {
bool setIndent ( bool indent )
}

Procedural style:

bool xmlwriter_set_indent ( resource xmlwriter, bool indent )

Toggles indentation on or off.

## Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`indent`

  Whether indentation is enabled. Defaults to `FALSE`.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

XMLWriter::setIndentString

Prev | Home | Next
XMLWriter::setIndentString | Up | XMLWriter::startAttributeNS